﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Web_EditModeAndLegendLayer.Default" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
        </div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <asp:UpdatePanel runat="server" UpdateMode="Always">
            <ContentTemplate>
                <cc1:Map ID="Map1" runat="server" Height="480px" Width="640px" OnTrackShapeFinished="Map1_TrackShapeFinished" OnClientDrawEnd="DrawEnd()">
                </cc1:Map>
                <br />
                <asp:Button ID="buttonDrawPoint" runat="server" ToolTip="Normal Mode" Width="96px" OnClick="buttonDrawPoint_Click" Height="24px" Text="Edit Point" />
            </ContentTemplate>
        </asp:UpdatePanel>
    </form>
    <script type="text/javascript">
        function DrawEnd() {
            // redraw the legend.
            var map = Map1.GetOpenLayersMap();
            for (var i = 0; i < map.layers.length; i++) {
                var layer = map.layers[i];
                if (layer.id == "AdornmentOverlay") {
                    layer.redraw();
                }
            }
        }
    </script>
</body>
</html>
